Skip to main content
`Ctrl`+`K`

# MFNGetType

Gets the `MFN` type as a string from the `MFN` object.

## Synopsis

    #include "slepcmfn.h"
    PetscErrorCode MFNGetType(MFN mfn,MFNType *type)

Not Collective

## Input Parameter

- mfn - the matrix function solver context

## Output Parameter

- type - name of `MFN` method

## See Also

MFN: Matrix Function, `MFNSetType()`

## Level

intermediate

## Location

src/mfn/interface/mfnbasic.c

Index of all MFN routines Table of Contents for all manual pages Index of all manual pages